Upstream information

CVE-2008-2713 at MITRE

Description

libclamav/petite.c in ClamAV before 0.93.1 allows remote attackers to cause a denial of service via a crafted Petite file that triggers an out-of-bounds read.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
SUSE Bugzilla entries: 399302 [RESOLVED / FIXED], 406994 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • clamav >= 0.96-0.12.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA clamav
SUSE Linux Enterprise Server 11 SP2
  • clamav >= 0.97.3-0.2.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA clamav
SUSE Linux Enterprise Server 11 SP3
  • clamav >= 0.97.7-0.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA clamav
SUSE Linux Enterprise Server 11 SP4
  • clamav >= 0.98.7-0.3.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA clamav
SUSE Linux Enterprise SDK 10 SP2
  • clamav >= 0.93.1-0.2
sles10-sp2.x86-64
sles10.ppc
sle10-sp1-sdk.ia64
sle10-sp2-sdk.ppc
core9.x86
sle10-sp2-sdk.ia64
sle10-sp1-sdk.x86
sles10-sp2.s390x
sles9-oes.x86
sle10-sp2-sdk.x86-64
sles10-sp2.ia64
sles9-nlpos.x86
sles10.ia64
sles10.x86-64
core9.s390x
sles10-sp2.x86
sle10-sp2-sdk.x86
core9.x86-64
sles10-sp2.ppc
sle10-sp1-sdk.ppc
sles10.x86
core9.ia64
sle10-sp1-sdk.s390x
sle10-sp1-sdk.x86-64
sles10.s390x
sle10-sp2-sdk.s390x
sled10-sp2.x86-64
core9.s390
sled10-sp2.x86
core9.ppc
ZYPP Patch Nr: 5359
Open Enterprise Server
  • clamav >= 0.93.1-0.1
sles10-sp2.x86-64
sles10.ppc
sle10-sp1-sdk.ia64
sle10-sp2-sdk.ppc
core9.x86
sle10-sp2-sdk.ia64
sle10-sp1-sdk.x86
sles10-sp2.s390x
sles9-oes.x86
sle10-sp2-sdk.x86-64
sles10-sp2.ia64
sles9-nlpos.x86
sles10.ia64
sles10.x86-64
core9.s390x
sles10-sp2.x86
sle10-sp2-sdk.x86
core9.x86-64
sles10-sp2.ppc
sle10-sp1-sdk.ppc
sles10.x86
core9.ia64
sle10-sp1-sdk.s390x
sle10-sp1-sdk.x86-64
sles10.s390x
sle10-sp2-sdk.s390x
sled10-sp2.x86-64
core9.s390
sled10-sp2.x86
core9.ppc
ZYPP Patch Nr: 5359
openSUSE 11.0
  • clamav >= 0.93.3-0.1
  • clamav-db >= 0.93.3-0.1
openSUSE 11.0
  • clamav >= 0.93.1-0.1
  • clamav-db >= 0.93.1-0.1
SUSE Linux Enterprise SDK 10 SP2
  • clamav >= 0.93.3-0.2
sle10-sp2-sdk.x86-64
sle10-sp1-sdk.x86
sle10-sp1-sdk.ppc
core9.ia64
sled10-sp2.x86
sles10.ia64
sles10-sp2.ppc
sles10.x86
sles9-nlpos.x86
core9.s390x
sle10-sp1-sdk.s390x
core9.x86
sles10.s390x
sles10-sp2.x86
sles10-sp2.s390x
sle10-sp1-sdk.x86-64
sle10-sp2-sdk.ppc
sles10.ppc
sles10-sp2.ia64
sled10-sp2.x86-64
sle10-sp2-sdk.ia64
sles9-oes.x86
core9.s390
core9.ppc
core9.x86-64
sles10-sp2.x86-64
sle10-sp1-sdk.ia64
sle10-sp2-sdk.x86
sle10-sp2-sdk.s390x
sles10.x86-64
ZYPP Patch Nr: 5416
Open Enterprise Server
  • clamav >= 0.93.3-0.1
sle10-sp2-sdk.x86-64
sle10-sp1-sdk.x86
sle10-sp1-sdk.ppc
core9.ia64
sled10-sp2.x86
sles10.ia64
sles10-sp2.ppc
sles10.x86
sles9-nlpos.x86
core9.s390x
sle10-sp1-sdk.s390x
core9.x86
sles10.s390x
sles10-sp2.x86
sles10-sp2.s390x
sle10-sp1-sdk.x86-64
sle10-sp2-sdk.ppc
sles10.ppc
sles10-sp2.ia64
sled10-sp2.x86-64
sle10-sp2-sdk.ia64
sles9-oes.x86
core9.s390
core9.ppc
core9.x86-64
sles10-sp2.x86-64
sle10-sp1-sdk.ia64
sle10-sp2-sdk.x86
sle10-sp2-sdk.s390x
sles10.x86-64
ZYPP Patch Nr: 5416